# Game.WorldEntity Class Reference

Inherits Game::IWorldEntity, and Game::IWorldEntity.

Inherited by Game.Animal, Game.Animal, Game.Boat, Game.Boat, Game.Building, Game.Building, Game.Vegetals, Game.Vegetals, Game.WorldLocation, and Game.WorldLocation.

Collaboration diagram for Game.WorldEntity:

[legend]

List of all members.

## Public Member Functions
| WorldEntity ()
void | Selected ()
virtual void | UpdateIA (float elapsedTime, double absTime)
| WorldEntity ()
void | Selected ()
virtual void | UpdateIA (float elapsedTime, double absTime)
## Public Attributes
SecondaryBuffer | selectSound
String | selectString
List< Mission > | missions
List< IAChannel > | channels
bool | IAKnowledgeChanged = false
## Protected Attributes
SceneObject | sceneObj = new SceneObject()
## Properties
SceneObject | SceneObject`[get, set]`

## Detailed Description

Definition at line 32 of file WorldEntity.cs.

## Constructor & Destructor Documentation

Game.WorldEntity.WorldEntity | ( |  | ) |

Definition at line 47 of file WorldEntity.cs.

Game.WorldEntity.WorldEntity | ( |  | ) |

Definition at line 47 of file WorldEntity.cs.

## Member Function Documentation

void Game.WorldEntity.Selected | ( |  | ) |

Implements Game.IWorldEntity.

Definition at line 53 of file WorldEntity.cs.

void Game.WorldEntity.Selected | ( |  | ) |

Implements Game.IWorldEntity.

Definition at line 53 of file WorldEntity.cs.

virtual void Game.WorldEntity.UpdateIA | ( | float | elapsedTime,
|  | double | absTime |
| ) |  |  | `[virtual]`

Implements Game.IWorldEntity.

Reimplemented in Game.Tiger, and Game.Tiger.

Definition at line 63 of file WorldEntity.cs.

Here is the call graph for this function:

virtual void Game.WorldEntity.UpdateIA | ( | float | elapsedTime,
|  | double | absTime |
| ) |  |  | `[virtual]`

Implements Game.IWorldEntity.

Reimplemented in Game.Tiger, and Game.Tiger.

Definition at line 63 of file WorldEntity.cs.

Here is the call graph for this function:

## Member Data Documentation

List< IAChannel > Game.WorldEntity::channels

Definition at line 60 of file WorldEntity.cs.

bool Game.WorldEntity::IAKnowledgeChanged = false

Definition at line 61 of file WorldEntity.cs.

List< Mission > Game.WorldEntity::missions

Definition at line 45 of file WorldEntity.cs.

SceneObject Game.WorldEntity::sceneObj = new SceneObject()`[protected]`

Definition at line 34 of file WorldEntity.cs.

SecondaryBuffer Game.WorldEntity::selectSound

Definition at line 42 of file WorldEntity.cs.

String Game.WorldEntity::selectString

Definition at line 43 of file WorldEntity.cs.

## Property Documentation

SceneObject Game.WorldEntity::SceneObject`[get, set]`

Implements Game.IWorldEntity.

Definition at line 37 of file WorldEntity.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/World/WorldEntity.cs
- D:/guillaume/guillara/3D/DXGfx/World/WorldEntity.cs